#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define DELTA (0.05)
#define A (0.1)
#define K (20.0)

int main ()
{
	double t;
	int i, k = 0;
	double y[8], y1[8];

	for (i = 0; i<8; i++) {
		y1[i] = (1-A) + A*drand48();
		y[i] = 0;

	}

	while (1) {
		t = DELTA*(k++);

		printf ("%g ", t);

		for (i = 0; i<8; i++) {
			if (y[i] >= drand48())
				y1[i] = -A - (1 - A)*drand48();
			if (y[i] <= -drand48())
				y1[i] = A + (1 - A)*drand48();

			y[i] += y1[i]*DELTA;
			
			printf ("%g ", y[i]);

		}
		printf ("\n");
		fflush (stdout);
	}
	exit (0);
}

/*
  Local Variables:
  compile-command:"gcc -Wall -g demo_a.c -o demo_a -lm"
  End:
*/
